Reconfigure a stream.
curl --request PATCH \
--url https://{basin}.b.s2.dev/v1/streams/{stream} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"delete_on_empty": {
"min_age_secs": 1
},
"retention_policy": {
"age": 1
},
"storage_class": "<string>",
"timestamping": {
"mode": "client-prefer",
"uncapped": true
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}streams
Reconfigure a stream.
Update only provided fields in an S2 stream’s configuration; omitted fields are left unchanged.
PATCH
/
streams
/
{stream}
Reconfigure a stream.
curl --request PATCH \
--url https://{basin}.b.s2.dev/v1/streams/{stream} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"delete_on_empty": {
"min_age_secs": 1
},
"retention_policy": {
"age": 1
},
"storage_class": "<string>",
"timestamping": {
"mode": "client-prefer",
"uncapped": true
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Body
application/json
Storage class for recent writes.
Response
Storage class for recent writes.

